Package org.opensaml.soap.wssecurity

# Class WSSecurityConstants

java.lang.Object
org.opensaml.soap.wssecurity.WSSecurityConstants

public final class WSSecurityConstants extends Object
Constants for the WS-Security 2004.

See Also:
  - "WS-Security 2004 Specification"

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ENCRYPTED_KEY_SHA1`
WS-Security - KeyIdentifier - EncryptedKeySHA1.
`static final String`
`GSS_KERBEROS_AP_REQ`
WS-Security - Kerberos Token Profile - GSS_Kerberosv5_AP_REQ.
`static final String`
`GSS_KERBEROS_AP_REQ_1510`
WS-Security - Kerberos Token Profile - GSS_Kerberosv5_AP_REQ1510.
`static final String`
`KERBEROS_AP_REQ`
WS-Security - Kerberos Token Profile - Kerberosv5_AP_REQ.
`static final String`
`KERBEROS_AP_REQ_1510`
WS-Security - Kerberos Token Profile - Kerberosv5_AP_REQ1510.
`static final QName`
`SOAP_FAULT_FAILED_AUTHENTICATION`
WS-Security SOAP fault code: "wsse:FailedAuthentication".
`static final QName`
`SOAP_FAULT_FAILED_CHECK`
WS-Security SOAP fault code: "wsse:FailedCheck".
`static final QName`
`SOAP_FAULT_INVALID_SECURITY`
WS-Security SOAP fault code: "wsse:InvalidSecurity".
`static final QName`
`SOAP_FAULT_INVALID_SECURITY_TOKEN`
WS-Security SOAP fault code: "wsse:InvalidSecurityToken".
`static final QName`
`SOAP_FAULT_MESSAGE_EXPIRED`
WS-Security SOAP fault code: "wsu:MessageExpired".
`static final QName`
`SOAP_FAULT_SECURITY_TOKEN_UNAVAILABLE`
WS-Security SOAP fault code: "wsse:SecurityTokenUnavailable".
`static final QName`
`SOAP_FAULT_UNSUPPORTED_ALGORITHM`
WS-Security SOAP fault code: "wsse:UnsupportedAlgorithm".
`static final QName`
`SOAP_FAULT_UNSUPPORTED_SECURITY_TOKEN`
WS-Security SOAP fault code: SOAP"wsse:UnsupportedSecurityToken".
`static final String`
`THUMB_PRINT_SHA1`
WS-Security - KeyIdentifier - ThumbPrintSHA1.
`static final String`
`USERNAME_TOKEN`
WS-Security - Username Token Profile - UsernameToken.
`static final String`
`WS_SECURITY_NS`
WS-Security SOAP Message Security 1.0 namespace.
`static final String`
`WS_SECURITY11_NS`
WS-Security SOAP Message Security 1.1 namespace.
`static final String`
`WSSE_KERBEROS_TOKEN_PROFILE_NS`
WS-Security Kerberos Token Profile 1.1 namespace.
`static final String`
`WSSE_NS`
WS-Security Security Extension 1.0 namespace.
`static final String`
`WSSE_PREFIX`
WS-Security Security Extension 1.0 prefix.
`static final String`
`WSSE_SAML_TOKEN_PROFILE_NS`
WS-Security SAML Token Profile 1.0 namespace.
`static final String`
`WSSE_USERNAME_TOKEN_PROFILE_NS`
WS-Security Username Token Profile 1.0 namespace.
`static final String`
`WSSE_X509_TOKEN_PROFILE_NS`
WS-Security X509 Token Profile 1.0 namespace.
`static final String`
`WSSE11_NS`
WS-Security Security Extension 1.1 namespace.
`static final String`
`WSSE11_PREFIX`
WS-Security Security Extension 1.1 prefix.
`static final String`
`WSSE11_SAML_TOKEN_PROFILE_NS`
WS-Security SAML Token Profile 1.1 namespace.
`static final String`
`WSU_NS`
WS-Security Utility 1.0 namespace.
`static final String`
`WSU_PREFIX`
WS-Security Utility 1.0 prefix.
`static final String`
`X509_PKCS7`
WS-Security - X.509 Token Profile - PKCS7.
`static final String`
`X509_PKI_PATH_V1`
WS-Security - X.509 Token Profile - X509PKIPathv1.
`static final String`
`X509_SUBJECT_KEY_IDENTIFIER`
WS-Security - X.509 Token Profile - X509SubjectKeyIdentifier.
`static final String`
`X509_V1`
WS-Security - X.509 Token Profile - X509V1.
`static final String`
`X509_V3`
WS-Security - X.509 Token Profile - X509V3.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`WSSecurityConstants()`
Prevents instantiation.

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### WS_SECURITY_NS

@Nonnull @NotEmpty public static final String WS_SECURITY_NS
WS-Security SOAP Message Security 1.0 namespace.

See Also:
  - Constant Field Values

### WS_SECURITY11_NS

@Nonnull @NotEmpty public static final String WS_SECURITY11_NS
WS-Security SOAP Message Security 1.1 namespace.

See Also:
  - Constant Field Values

### WSU_NS

@Nonnull @NotEmpty public static final String WSU_NS
WS-Security Utility 1.0 namespace.

See Also:
  - Constant Field Values

### WSU_PREFIX

@Nonnull @NotEmpty public static final String WSU_PREFIX
WS-Security Utility 1.0 prefix.

See Also:
  - Constant Field Values

### WSSE_NS

@Nonnull @NotEmpty public static final String WSSE_NS
WS-Security Security Extension 1.0 namespace.

See Also:
  - Constant Field Values

### WSSE_PREFIX

@Nonnull @NotEmpty public static final String WSSE_PREFIX
WS-Security Security Extension 1.0 prefix.

See Also:
  - Constant Field Values

### WSSE11_NS

@Nonnull @NotEmpty public static final String WSSE11_NS
WS-Security Security Extension 1.1 namespace.

See Also:
  - Constant Field Values

### WSSE11_PREFIX

@Nonnull @NotEmpty public static final String WSSE11_PREFIX
WS-Security Security Extension 1.1 prefix.

See Also:
  - Constant Field Values

### WSSE_SAML_TOKEN_PROFILE_NS

@Nonnull @NotEmpty public static final String WSSE_SAML_TOKEN_PROFILE_NS
WS-Security SAML Token Profile 1.0 namespace.

See Also:
  - Constant Field Values

### WSSE11_SAML_TOKEN_PROFILE_NS

@Nonnull @NotEmpty public static final String WSSE11_SAML_TOKEN_PROFILE_NS
WS-Security SAML Token Profile 1.1 namespace.

See Also:
  - Constant Field Values

### WSSE_USERNAME_TOKEN_PROFILE_NS

@Nonnull @NotEmpty public static final String WSSE_USERNAME_TOKEN_PROFILE_NS
WS-Security Username Token Profile 1.0 namespace.

See Also:
  - Constant Field Values

### WSSE_X509_TOKEN_PROFILE_NS

@Nonnull @NotEmpty public static final String WSSE_X509_TOKEN_PROFILE_NS
WS-Security X509 Token Profile 1.0 namespace.

See Also:
  - Constant Field Values

### WSSE_KERBEROS_TOKEN_PROFILE_NS

@Nonnull @NotEmpty public static final String WSSE_KERBEROS_TOKEN_PROFILE_NS
WS-Security Kerberos Token Profile 1.1 namespace.

See Also:
  - Constant Field Values

### SOAP_FAULT_UNSUPPORTED_SECURITY_TOKEN

@Nonnull public static final QName SOAP_FAULT_UNSUPPORTED_SECURITY_TOKEN
WS-Security SOAP fault code: SOAP"wsse:UnsupportedSecurityToken".

### SOAP_FAULT_UNSUPPORTED_ALGORITHM

@Nonnull public static final QName SOAP_FAULT_UNSUPPORTED_ALGORITHM
WS-Security SOAP fault code: "wsse:UnsupportedAlgorithm".

### SOAP_FAULT_INVALID_SECURITY

@Nonnull public static final QName SOAP_FAULT_INVALID_SECURITY
WS-Security SOAP fault code: "wsse:InvalidSecurity".

### SOAP_FAULT_INVALID_SECURITY_TOKEN

@Nonnull public static final QName SOAP_FAULT_INVALID_SECURITY_TOKEN
WS-Security SOAP fault code: "wsse:InvalidSecurityToken".

### SOAP_FAULT_FAILED_AUTHENTICATION

@Nonnull public static final QName SOAP_FAULT_FAILED_AUTHENTICATION
WS-Security SOAP fault code: "wsse:FailedAuthentication".

### SOAP_FAULT_FAILED_CHECK

@Nonnull public static final QName SOAP_FAULT_FAILED_CHECK
WS-Security SOAP fault code: "wsse:FailedCheck".

### SOAP_FAULT_SECURITY_TOKEN_UNAVAILABLE

@Nonnull public static final QName SOAP_FAULT_SECURITY_TOKEN_UNAVAILABLE
WS-Security SOAP fault code: "wsse:SecurityTokenUnavailable".

### SOAP_FAULT_MESSAGE_EXPIRED

@Nonnull public static final QName SOAP_FAULT_MESSAGE_EXPIRED
WS-Security SOAP fault code: "wsu:MessageExpired".

### USERNAME_TOKEN

@Nonnull @NotEmpty public static final String USERNAME_TOKEN
WS-Security - Username Token Profile - UsernameToken.

See Also:
  - Constant Field Values

### X509_V3

@Nonnull @NotEmpty public static final String X509_V3
WS-Security - X.509 Token Profile - X509V3.

See Also:
  - Constant Field Values

### X509_V1

@Nonnull @NotEmpty public static final String X509_V1
WS-Security - X.509 Token Profile - X509V1.

See Also:
  - Constant Field Values

### X509_PKI_PATH_V1

@Nonnull @NotEmpty public static final String X509_PKI_PATH_V1
WS-Security - X.509 Token Profile - X509PKIPathv1.

See Also:
  - Constant Field Values

### X509_PKCS7

@Nonnull @NotEmpty public static final String X509_PKCS7
WS-Security - X.509 Token Profile - PKCS7.

See Also:
  - Constant Field Values

### X509_SUBJECT_KEY_IDENTIFIER

@Nonnull @NotEmpty public static final String X509_SUBJECT_KEY_IDENTIFIER
WS-Security - X.509 Token Profile - X509SubjectKeyIdentifier.

See Also:
  - Constant Field Values

### KERBEROS_AP_REQ

@Nonnull @NotEmpty public static final String KERBEROS_AP_REQ
WS-Security - Kerberos Token Profile - Kerberosv5_AP_REQ.

See Also:
  - Constant Field Values

### GSS_KERBEROS_AP_REQ

@Nonnull @NotEmpty public static final String GSS_KERBEROS_AP_REQ
WS-Security - Kerberos Token Profile - GSS_Kerberosv5_AP_REQ.

See Also:
  - Constant Field Values

### KERBEROS_AP_REQ_1510

@Nonnull @NotEmpty public static final String KERBEROS_AP_REQ_1510
WS-Security - Kerberos Token Profile - Kerberosv5_AP_REQ1510.

See Also:
  - Constant Field Values

### GSS_KERBEROS_AP_REQ_1510

@Nonnull @NotEmpty public static final String GSS_KERBEROS_AP_REQ_1510
WS-Security - Kerberos Token Profile - GSS_Kerberosv5_AP_REQ1510.

See Also:
  - Constant Field Values

### THUMB_PRINT_SHA1

@Nonnull @NotEmpty public static final String THUMB_PRINT_SHA1
WS-Security - KeyIdentifier - ThumbPrintSHA1.

See Also:
  - Constant Field Values

### ENCRYPTED_KEY_SHA1

@Nonnull @NotEmpty public static final String ENCRYPTED_KEY_SHA1
WS-Security - KeyIdentifier - EncryptedKeySHA1.

See Also:
  - Constant Field Values

## Constructor Details

### WSSecurityConstants

private WSSecurityConstants()
Prevents instantiation.